Commit ad9871abbc0b56e92948c2951b7e2c132cae545c

Initial Python support.

Commit diff

gdb/Makefile.in

 
254254SUBDIR_TUI_CFLAGS= \
255255 -DTUI=1
256256
257#
258# python sub directory definitons
259#
260SUBDIR_PYTHON_OBS = \
261 python.o \
262 python-utils.o
263SUBDIR_PYTHON_SRCS = \
264 python/python.c \
265 python/python-utils.c
266SUBDIR_PYTHON_DEPS =
267SUBDIR_PYTHON_LDFLAGS=
268SUBDIR_PYTHON_CFLAGS=
269
257270
258271# Opcodes currently live in one of two places. Either they are in the
259272# opcode library, typically ../opcodes, or they are in a header file
976976tui_win_h = $(srcdir)/tui/tui-win.h $(tui_data_h)
977977tui_winsource_h = $(srcdir)/tui/tui-winsource.h $(tui_data_h)
978978
979#
980# gdb/python/ headers
981#
982
983python_h = $(srcdir)/python/python.h $(value_h)
984python_internal_h = $(srcdir)/python/python-internal.h
985
979986# gdb/features preparsed descriptions
980987features_headers = $(defs_h) $(gdbtypes_h) $(target_descriptions_h)
981988arm_with_iwmmxt_c = $(srcdir)/features/arm-with-iwmmxt.c $(features_headers)
30843084 $(CC) -c $(INTERNAL_CFLAGS) $(srcdir)/cli/cli-logging.c
30853085cli-script.o: $(srcdir)/cli/cli-script.c $(defs_h) $(value_h) $(language_h) \
30863086 $(ui_out_h) $(gdb_string_h) $(exceptions_h) $(top_h) $(cli_cmds_h) \
3087 $(cli_decode_h) $(cli_script_h) $(gdb_assert_h) $(breakpoint_h)
3087 $(cli_decode_h) $(cli_script_h) $(gdb_assert_h) $(breakpoint_h) \
3088 $(python_h)
30883089 $(CC) -c $(INTERNAL_CFLAGS) $(srcdir)/cli/cli-script.c
30893090cli-setshow.o: $(srcdir)/cli/cli-setshow.c $(defs_h) $(readline_tilde_h) \
30903091 $(value_h) $(gdb_string_h) $(ui_out_h) $(cli_decode_h) $(cli_cmds_h) \
34103410 $(gdb_curses_h) $(gdb_assert_h)
34113411 $(CC) -c $(INTERNAL_CFLAGS) $(srcdir)/tui/tui-winsource.c
34123412
3413#
3414# gdb/python/ dependencies
3415#
3416# Need to explicitly specify the compile rule as make will do nothing
3417# or try to compile the object file into the sub-directory.
3418
3419# Flags needed to compile Python code
3420PYTHON_CFLAGS=@PYTHON_CFLAGS@
3421
3422python.o: $(srcdir)/python/python.c $(defs_h) $(python_h) \
3423 $(command_h) $(libiberty_h) $(cli_decode_h) $(charset_h) $(top_h) \
3424 $(exceptions_h) $(python_internal_h) $(version_h) $(cli_script_h) \
3425 $(ui_out_h) $(target_h) $(gdbthread_h)
3426 $(CC) -c $(INTERNAL_CFLAGS) $(PYTHON_CFLAGS) $(srcdir)/python/python.c
3427python-utils.o: $(srcdir)/python/python-utils.c $(defs_h) $(python_internal_h)
3428 $(CC) -c $(INTERNAL_CFLAGS) $(PYTHON_CFLAGS) \
3429 $(srcdir)/python/python-utils.c -o python-utils.o
3430
34133431### end of the gdb Makefile.in.
toggle raw diff

gdb/NEWS

 
6262 gdbserver executable to debug both 32-bit and 64-bit programs.
6363 (This requires gdbserver itself to be built as a 64-bit executable.)
6464
65* Python scripting
66
67 GDB now has support for scripting using Python. Whether this is
68 available is determined at configure time; you can explicitly
69 disable the support using --without-python.
70
6571* New commands
6672
6773find [/size-char] [/max-count] start-address, end-address|+search-space-size,
6874 val1 [, val2, ...]
6975 Search memory for a sequence of bytes.
7076
77maint set python print-stack
78maint show python print-stack
79 Show a stack trace when an error is encountered in a Python script.
80
81python [code]
82 Invoke python code.
83
7184set print symbol-loading
7285show print symbol-loading
7386 Control printing of symbol loading messages.
toggle raw diff

gdb/cli/cli-script.c

 
3434#include "cli/cli-script.h"
3535#include "gdb_assert.h"
3636
37#include "python/python.h"
38
3739/* Prototypes for local functions */
3840
3941static enum command_control_type
104104/* Build and return a new command structure for the control commands
105105 such as "if" and "while". */
106106
107static struct command_line *
107struct command_line *
108108get_command_line (enum command_control_type type, char *arg)
109109{
110110 struct command_line *cmd;
227227 continue;
228228 }
229229
230 if (list->control_type == python_control)
231 {
232 ui_out_field_string (uiout, NULL, "python");
233 ui_out_text (uiout, "\n");
234 /* Don't indent python code at all. */
235 print_command_lines (uiout, *list->body_list, 0);
236 if (depth)
237 ui_out_spaces (uiout, 2 * depth);
238 ui_out_field_string (uiout, NULL, "end");
239 ui_out_text (uiout, "\n");
240 list = list->next;
241 continue;
242 }
243
230244 /* ignore illegal command type and try next */
231245 list = list->next;
232246 } /* while (list) */
543543 ret = commands_from_control_command (new_line, cmd);
544544 break;
545545 }
546 case python_control:
547 {
548 eval_python_from_control_command (cmd);
549 ret = simple_control;
550 break;
551 }
546552
547553 default:
548554 warning (_("Invalid control type in canned commands structure."));
560560 return ret;
561561}
562562
563/* Like execute_control_command, but first set
564 suppress_next_print_command_trace. */
565
566enum command_control_type
567execute_control_command_untraced (struct command_line *cmd)
568{
569 suppress_next_print_command_trace = 1;
570 return execute_control_command (cmd);
571}
572
573
563574/* "while" command support. Executes a body of statements while the
564575 loop condition is nonzero. */
565576
585585 if (command == NULL)
586586 return;
587587
588 suppress_next_print_command_trace = 1;
589 execute_control_command (command);
588 execute_control_command_untraced (command);
590589 free_command_lines (&command);
591590}
592591
603603 if (command == NULL)
604604 return;
605605
606 suppress_next_print_command_trace = 1;
607 execute_control_command (command);
606 execute_control_command_untraced (command);
608607 free_command_lines (&command);
609608}
610609
917917 first_arg++;
918918 *command = build_command_line (commands_control, first_arg);
919919 }
920 else if (p1 - p == 6 && !strncmp (p, "python", 6))
921 {
922 /* Note that we ignore the inline "python command" form
923 here. */
924 *command = build_command_line (python_control, "");
925 }
920926 else if (p1 - p == 10 && !strncmp (p, "loop_break", 10))
921927 {
922928 *command = (struct command_line *)
999999 {
10001000 if (current_cmd->control_type == while_control
10011001 || current_cmd->control_type == if_control
1002 || current_cmd->control_type == python_control
10021003 || current_cmd->control_type == commands_control)
10031004 {
10041005 /* Success reading an entire canned sequence of commands. */
10511051 on it. */
10521052 if (next->control_type == while_control
10531053 || next->control_type == if_control
1054 || next->control_type == python_control
10541055 || next->control_type == commands_control)
10551056 {
10561057 control_level++;
11251125
11261126 if (next->control_type == while_control
11271127 || next->control_type == if_control
1128 || next->control_type == python_control
11281129 || next->control_type == commands_control)
11291130 {
11301131 control_level++;
toggle raw diff

gdb/cli/cli-script.h

 
4040extern enum command_control_type
4141 execute_control_command (struct command_line *cmd);
4242
43extern enum command_control_type
44 execute_control_command_untraced (struct command_line *cmd);
45
46extern struct command_line *get_command_line (enum command_control_type,
47 char *);
48
4349extern void print_command_lines (struct ui_out *,
4450 struct command_line *, unsigned int);
4551
toggle raw diff

gdb/config.in

 
184184/* Define to 1 if you have the `m' library (-lm). */
185185#undef HAVE_LIBM
186186
187/* Define if Python 2.4 is being used. */
188#undef HAVE_LIBPYTHON2_4
189
190/* Define if Python 2.5 is being used. */
191#undef HAVE_LIBPYTHON2_5
192
193/* Define if Python 2.6 is being used. */
194#undef HAVE_LIBPYTHON2_6
195
187196/* Define if libunwind library is being used. */
188197#undef HAVE_LIBUNWIND
189198
316316/* Define if sys/ptrace.h defines the PT_GETXMMREGS request. */
317317#undef HAVE_PT_GETXMMREGS
318318
319/* Define if Python interpreter is being linked in. */
320#undef HAVE_PYTHON
321
319322/* Define to 1 if you have the `realpath' function. */
320323#undef HAVE_REALPATH
321324
toggle raw diff

gdb/configure

 
314314ac_subdirs_all="$ac_subdirs_all gdbtk"
315315ac_subdirs_all="$ac_subdirs_all multi-ice"
316316ac_subdirs_all="$ac_subdirs_all gdbserver"
317ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT localedir GL_COND_LIBTOOL_TRUE GL_COND_LIBTOOL_FALSE GNULIB_MEMMEM GNULIB_MEMPCPY GNULIB_MEMRCHR GNULIB_STPCPY GNULIB_STPNCPY GNULIB_STRCHRNUL GNULIB_STRDUP GNULIB_STRNDUP GNULIB_STRNLEN GNULIB_STRPBRK GNULIB_STRSEP GNULIB_STRSTR GNULIB_STRCASESTR GNULIB_STRTOK_R GNULIB_MBSLEN GNULIB_MBSNLEN GNULIB_MBSCHR GNULIB_MBSRCHR GNULIB_MBSSTR GNULIB_MBSCASECMP GNULIB_MBSNCASECMP GNULIB_MBSPCASECMP GNULIB_MBSCASESTR GNULIB_MBSCSPN GNULIB_MBSPBRK GNULIB_MBSSPN GNULIB_MBSSEP GNULIB_MBSTOK_R GNULIB_STRERROR GNULIB_STRSIGNAL HAVE_DECL_MEMMEM HAVE_MEMPCPY HAVE_DECL_MEMRCHR HAVE_STPCPY HAVE_STPNCPY HAVE_STRCHRNUL HAVE_DECL_STRDUP HAVE_STRNDUP HAVE_DECL_STRNDUP HAVE_DECL_STRNLEN HAVE_STRPBRK HAVE_STRSEP HAVE_STRCASESTR HAVE_DECL_STRTOK_R HAVE_DECL_STRERROR HAVE_DECL_STRSIGNAL REPLACE_STRERROR REPLACE_STRSIGNAL REPLACE_MEMMEM REPLACE_STRCASESTR REPLACE_STRSTR HAVE_LONG_LONG_INT HAVE_UNSIGNED_LONG_LONG_INT HAVE_INTTYPES_H HAVE_SYS_TYPES_H INCLUDE_NEXT NEXT_STDINT_H HAVE_STDINT_H HAVE_SYS_INTTYPES_H HAVE_SYS_BITYPES_H BITSIZEOF_PTRDIFF_T BITSIZEOF_SIG_ATOMIC_T BITSIZEOF_SIZE_T BITSIZEOF_WCHAR_T BITSIZEOF_WINT_T HAVE_SIGNED_SIG_ATOMIC_T HAVE_SIGNED_WCHAR_T HAVE_SIGNED_WINT_T PTRDIFF_T_SUFFIX SIG_ATOMIC_T_SUFFIX SIZE_T_SUFFIX WCHAR_T_SUFFIX WINT_T_SUFFIX STDINT_H NEXT_STRING_H GNULIB_WCWIDTH HAVE_DECL_WCWIDTH REPLACE_WCWIDTH WCHAR_H HAVE_WCHAR_H NEXT_WCHAR_H LIBGNU_LIBDEPS LIBGNU_LTLIBDEPS GNULIB_STDINT_H PACKAGE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE subdirs TARGET_OBS PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI LN_S YACC AR ac_ct_AR DLLTOOL ac_ct_DLLTOOL WINDRES ac_ct_WINDRES MIG ac_ct_MIG READLINE READLINE_DEPS READLINE_CFLAGS HAVE_LIBEXPAT LIBEXPAT LTLIBEXPAT ALLOCA CONFIG_LDFLAGS TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS WERROR_CFLAGS SER_HARDWIRE WIN32LIBS LIBGUI GUI_CFLAGS_X WIN32LDAPP TCL_VERSION TCL_MAJOR_VERSION TCL_MINOR_VERSION TCL_CC TCL_DEFS TCL_SHLIB_CFLAGS TCL_SHLIB_LD TCL_SHLIB_LD_LIBS TCL_SHLIB_SUFFIX TCL_DL_LIBS TCL_LD_FLAGS TCL_LD_SEARCH_FLAGS TCL_CC_SEARCH_FLAGS TCL_COMPAT_OBJS TCL_RANLIB TCL_BUILD_LIB_SPEC TCL_LIB_SPEC TCL_LIB_VERSIONS_OK TK_VERSION TK_DEFS TK_BUILD_INCLUDES TK_XINCLUDES TK_XLIBSW TK_BUILD_LIB_SPEC TK_LIB_SPEC TCLHDIR TKHDIR ITCLHDIR ITKHDIR ITCL_VERSION ITCL_DEFS ITCL_BUILD_INCLUDES ITCL_BUILD_LIB_SPEC ITCL_LIB_SPEC ITK_VERSION ITK_DEFS ITK_BUILD_INCLUDES ITK_BUILD_LIB_SPEC ITK_LIB_SPEC X_CFLAGS X_LDFLAGS X_LIBS TCL_DEPS TK_DEPS ITCLLIB ITCL_DEPS ITKLIB ITK_DEPS GDBTKLIBS GDBTK_CFLAGS GDBTK_SRC_DIR SIM SIM_OBS ENABLE_CFLAGS PROFILE_CFLAGS CONFIG_OBS CONFIG_DEPS CONFIG_SRCS CONFIG_ALL CONFIG_CLEAN CONFIG_INSTALL CONFIG_UNINSTALL target_subdir frags nm_h LIBICONV LIBOBJS LTLIBOBJS gl_LIBOBJS gl_LTLIBOBJS gltests_LIBOBJS gltests_LTLIBOBJS'
317ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT localedir GL_COND_LIBTOOL_TRUE GL_COND_LIBTOOL_FALSE GNULIB_MEMMEM GNULIB_MEMPCPY GNULIB_MEMRCHR GNULIB_STPCPY GNULIB_STPNCPY GNULIB_STRCHRNUL GNULIB_STRDUP GNULIB_STRNDUP GNULIB_STRNLEN GNULIB_STRPBRK GNULIB_STRSEP GNULIB_STRSTR GNULIB_STRCASESTR GNULIB_STRTOK_R GNULIB_MBSLEN GNULIB_MBSNLEN GNULIB_MBSCHR GNULIB_MBSRCHR GNULIB_MBSSTR GNULIB_MBSCASECMP GNULIB_MBSNCASECMP GNULIB_MBSPCASECMP GNULIB_MBSCASESTR GNULIB_MBSCSPN GNULIB_MBSPBRK GNULIB_MBSSPN GNULIB_MBSSEP GNULIB_MBSTOK_R GNULIB_STRERROR GNULIB_STRSIGNAL HAVE_DECL_MEMMEM HAVE_MEMPCPY HAVE_DECL_MEMRCHR HAVE_STPCPY HAVE_STPNCPY HAVE_STRCHRNUL HAVE_DECL_STRDUP HAVE_STRNDUP HAVE_DECL_STRNDUP HAVE_DECL_STRNLEN HAVE_STRPBRK HAVE_STRSEP HAVE_STRCASESTR HAVE_DECL_STRTOK_R HAVE_DECL_STRERROR HAVE_DECL_STRSIGNAL REPLACE_STRERROR REPLACE_STRSIGNAL REPLACE_MEMMEM REPLACE_STRCASESTR REPLACE_STRSTR HAVE_LONG_LONG_INT HAVE_UNSIGNED_LONG_LONG_INT HAVE_INTTYPES_H HAVE_SYS_TYPES_H INCLUDE_NEXT NEXT_STDINT_H HAVE_STDINT_H HAVE_SYS_INTTYPES_H HAVE_SYS_BITYPES_H BITSIZEOF_PTRDIFF_T BITSIZEOF_SIG_ATOMIC_T BITSIZEOF_SIZE_T BITSIZEOF_WCHAR_T BITSIZEOF_WINT_T HAVE_SIGNED_SIG_ATOMIC_T HAVE_SIGNED_WCHAR_T HAVE_SIGNED_WINT_T PTRDIFF_T_SUFFIX SIG_ATOMIC_T_SUFFIX SIZE_T_SUFFIX WCHAR_T_SUFFIX WINT_T_SUFFIX STDINT_H NEXT_STRING_H GNULIB_WCWIDTH HAVE_DECL_WCWIDTH REPLACE_WCWIDTH WCHAR_H HAVE_WCHAR_H NEXT_WCHAR_H LIBGNU_LIBDEPS LIBGNU_LTLIBDEPS GNULIB_STDINT_H PACKAGE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE subdirs TARGET_OBS PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI LN_S YACC AR ac_ct_AR DLLTOOL ac_ct_DLLTOOL WINDRES ac_ct_WINDRES MIG ac_ct_MIG READLINE READLINE_DEPS READLINE_CFLAGS HAVE_LIBEXPAT LIBEXPAT LTLIBEXPAT PYTHON_CFLAGS ALLOCA CONFIG_LDFLAGS TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS WERROR_CFLAGS SER_HARDWIRE WIN32LIBS LIBGUI GUI_CFLAGS_X WIN32LDAPP TCL_VERSION TCL_MAJOR_VERSION TCL_MINOR_VERSION TCL_CC TCL_DEFS TCL_SHLIB_CFLAGS TCL_SHLIB_LD TCL_SHLIB_LD_LIBS TCL_SHLIB_SUFFIX TCL_DL_LIBS TCL_LD_FLAGS TCL_LD_SEARCH_FLAGS TCL_CC_SEARCH_FLAGS TCL_COMPAT_OBJS TCL_RANLIB TCL_BUILD_LIB_SPEC TCL_LIB_SPEC TCL_LIB_VERSIONS_OK TK_VERSION TK_DEFS TK_BUILD_INCLUDES TK_XINCLUDES TK_XLIBSW TK_BUILD_LIB_SPEC TK_LIB_SPEC TCLHDIR TKHDIR ITCLHDIR ITKHDIR ITCL_VERSION ITCL_DEFS ITCL_BUILD_INCLUDES ITCL_BUILD_LIB_SPEC ITCL_LIB_SPEC ITK_VERSION ITK_DEFS ITK_BUILD_INCLUDES ITK_BUILD_LIB_SPEC ITK_LIB_SPEC X_CFLAGS X_LDFLAGS X_LIBS TCL_DEPS TK_DEPS ITCLLIB ITCL_DEPS ITKLIB ITK_DEPS GDBTKLIBS GDBTK_CFLAGS GDBTK_SRC_DIR SIM SIM_OBS ENABLE_CFLAGS PROFILE_CFLAGS CONFIG_OBS CONFIG_DEPS CONFIG_SRCS CONFIG_ALL CONFIG_CLEAN CONFIG_INSTALL CONFIG_UNINSTALL target_subdir frags nm_h LIBICONV LIBOBJS LTLIBOBJS gl_LIBOBJS gl_LTLIBOBJS gltests_LIBOBJS gltests_LTLIBOBJS'
318318ac_subst_files='host_makefile_frag'
319319ac_pwd=`pwd`
320320
890890 --with-gnu-ld assume the C compiler uses GNU ld default=no
891891 --with-libexpat-prefix[=DIR] search for libexpat in DIR/include and DIR/lib
892892 --without-libexpat-prefix don't search for libexpat in includedir and libdir
893 --with-python include python support (auto/yes/no/<path>)
893894 --without-included-regex don't use included regex; this is the default
894895 on systems with version 2 of the GNU C library
895896 (use with caution on other system)
10041004 else
10051005 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
10061006 fi
1007 cd $ac_popdir
1007 cd "$ac_popdir"
10081008 done
10091009fi
10101010
19731973 cat conftest.err >&5
19741974 echo "$as_me:$LINENO: \$? = $ac_status" >&5
19751975 (exit $ac_status); } &&
1976 { ac_try='test -z "$ac_c_werror_flag"
1977 || test ! -s conftest.err'
1976 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
19781977 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19791978 (eval $ac_try) 2>&5
19801979 ac_status=$?
20312031 cat conftest.err >&5
20322032 echo "$as_me:$LINENO: \$? = $ac_status" >&5
20332033 (exit $ac_status); } &&
2034 { ac_try='test -z "$ac_c_werror_flag"
2035 || test ! -s conftest.err'
2034 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
20362035 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20372036 (eval $ac_try) 2>&5
20382037 ac_status=$?
21472147 cat conftest.err >&5
21482148 echo "$as_me:$LINENO: \$? = $ac_status" >&5
21492149 (exit $ac_status); } &&
2150 { ac_try='test -z "$ac_c_werror_flag"
2151 || test ! -s conftest.err'
2150 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
21522151 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21532152 (eval $ac_try) 2>&5
21542153 ac_status=$?
22012201 cat conftest.err >&5
22022202 echo "$as_me:$LINENO: \$? = $ac_status" >&5
22032203 (exit $ac_status); } &&
2204 { ac_try='test -z "$ac_c_werror_flag"
2205 || test ! -s conftest.err'
2204 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
22062205 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22072206 (eval $ac_try) 2>&5
22082207 ac_status=$?
22462246 cat conftest.err >&5
22472247 echo "$as_me:$LINENO: \$? = $ac_status" >&5
22482248 (exit $ac_status); } &&
2249 { ac_try='test -z "$ac_c_werror_flag"
2250 || test ! -s conftest.err'
2249 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
22512250 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22522251 (eval $ac_try) 2>&5
22532252 ac_status=$?
22902290 cat conftest.err >&5
22912291 echo "$as_me:$LINENO: \$? = $ac_status" >&5
22922292 (exit $ac_status); } &&
2293 { ac_try='test -z "$ac_c_werror_flag"
2294 || test ! -s conftest.err'
2293 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
22952294 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22962295 (eval $ac_try) 2>&5
22972296 ac_status=$?
26552655 cat conftest.err >&5
26562656 echo "$as_me:$LINENO: \$? = $ac_status" >&5
26572657 (exit $ac_status); } &&
2658 { ac_try='test -z "$ac_c_werror_flag"
2659 || test ! -s conftest.err'
2658 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
26602659 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
26612660 (eval $ac_try) 2>&5
26622661 ac_status=$?
27092709 cat conftest.err >&5
27102710 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27112711 (exit $ac_status); } &&
2712 { ac_try='test -z "$ac_c_werror_flag"
2713 || test ! -s conftest.err'
2712 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
27142713 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
27152714 (eval $ac_try) 2>&5
27162715 ac_status=$?
28542854 cat conftest.err >&5
28552855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28562856 (exit $ac_status); } &&
2857 { ac_try='test -z "$ac_c_werror_flag"
2858 || test ! -s conftest.err'
2857 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
28592858 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28602859 (eval $ac_try) 2>&5
28612860 ac_status=$?
30243024 cat conftest.err >&5
30253025 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30263026 (exit $ac_status); } &&
3027 { ac_try='test -z "$ac_c_werror_flag"
3028 || test ! -s conftest.err'
3027 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
30293028 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
30303029 (eval $ac_try) 2>&5
30313030 ac_status=$?
30883088 cat conftest.err >&5
30893089 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30903090 (exit $ac_status); } &&
3091 { ac_try='test -z "$ac_c_werror_flag"
3092 || test ! -s conftest.err'
3091 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
30933092 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
30943093 (eval $ac_try) 2>&5
30953094 ac_status=$?
32523252 cat conftest.err >&5
32533253 echo "$as_me:$LINENO: \$? = $ac_status" >&5
32543254 (exit $ac_status); } &&
3255 { ac_try='test -z "$ac_c_werror_flag"
3256 || test ! -s conftest.err'
3255 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
32573256 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
32583257 (eval $ac_try) 2>&5
32593258 ac_status=$?
33763376 cat conftest.err >&5
33773377 echo "$as_me:$LINENO: \$? = $ac_status" >&5
33783378 (exit $ac_status); } &&
3379 { ac_try='test -z "$ac_c_werror_flag"
3380 || test ! -s conftest.err'
3379 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
33813380 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
33823381 (eval $ac_try) 2>&5
33833382 ac_status=$?
37013701 cat conftest.err >&5
37023702 echo "$as_me:$LINENO: \$? = $ac_status" >&5
37033703 (exit $ac_status); } &&
3704 { ac_try='test -z "$ac_c_werror_flag"
3705 || test ! -s conftest.err'
3704 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
37063705 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
37073706 (eval $ac_try) 2>&5
37083707 ac_status=$?
38213821 cat conftest.err >&5
38223822 echo "$as_me:$LINENO: \$? = $ac_status" >&5
38233823 (exit $ac_status); } &&
3824 { ac_try='test -z "$ac_c_werror_flag"
3825 || test ! -s conftest.err'
3824 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
38263825 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
38273826 (eval $ac_try) 2>&5
38283827 ac_status=$?
39213921 cat conftest.err >&5
39223922 echo "$as_me:$LINENO: \$? = $ac_status" >&5
39233923 (exit $ac_status); } &&
3924 { ac_try='test -z "$ac_c_werror_flag"
3925 || test ! -s conftest.err'
3924 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
39263925 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
39273926 (eval $ac_try) 2>&5
39283927 ac_status=$?
40584058 cat conftest.err >&5
40594059 echo "$as_me:$LINENO: \$? = $ac_status" >&5
40604060 (exit $ac_status); } &&
4061 { ac_try='test -z "$ac_c_werror_flag"
4062 || test ! -s conftest.err'
4061 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
40634062 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
40644063 (eval $ac_try) 2>&5
40654064 ac_status=$?
41284128 cat conftest.err >&5
41294129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
41304130 (exit $ac_status); } &&
4131 { ac_try='test -z "$ac_c_werror_flag"
4132 || test ! -s conftest.err'
4131 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
41334132 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
41344133 (eval $ac_try) 2>&5
41354134 ac_status=$?
42064206 cat conftest.err >&5
42074207 echo "$as_me:$LINENO: \$? = $ac_status" >&5
42084208 (exit $ac_status); } &&
4209 { ac_try='test -z "$ac_c_werror_flag"
4210 || test ! -s conftest.err'
4209 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
42114210 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
42124211 (eval $ac_try) 2>&5
42134212 ac_status=$?
43704370 cat conftest.err >&5
43714371 echo "$as_me:$LINENO: \$? = $ac_status" >&5
43724372 (exit $ac_status); } &&
4373 { ac_try='test -z "$ac_c_werror_flag"
4374 || test ! -s conftest.err'
4373 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
43754374 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
43764375 (eval $ac_try) 2>&5
43774376 ac_status=$?
45704570 cat conftest.err >&5
45714571 echo "$as_me:$LINENO: \$? = $ac_status" >&5
45724572 (exit $ac_status); } &&
4573 { ac_try='test -z "$ac_c_werror_flag"
4574 || test ! -s conftest.err'
4573 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
45754574 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
45764575 (eval $ac_try) 2>&5
45774576 ac_status=$?
46434643 cat conftest.err >&5
46444644 echo "$as_me:$LINENO: \$? = $ac_status" >&5
46454645 (exit $ac_status); } &&
4646 { ac_try='test -z "$ac_c_werror_flag"
4647 || test ! -s conftest.err'
4646 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
46484647 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
46494648 (eval $ac_try) 2>&5
46504649 ac_status=$?
50195019 cat conftest.err >&5
50205020 echo "$as_me:$LINENO: \$? = $ac_status" >&5
50215021 (exit $ac_status); } &&
5022 { ac_try='test -z "$ac_c_werror_flag"
5023 || test ! -s conftest.err'
5022 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
50245023 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
50255024 (eval $ac_try) 2>&5
50265025 ac_status=$?
53425342 cat conftest.err >&5
53435343 echo "$as_me:$LINENO: \$? = $ac_status" >&5
53445344 (exit $ac_status); } &&
5345 { ac_try='test -z "$ac_c_werror_flag"
5346 || test ! -s conftest.err'
5345 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
53475346 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
53485347 (eval $ac_try) 2>&5
53495348 ac_status=$?
54035403 cat conftest.err >&5
54045404 echo "$as_me:$LINENO: \$? = $ac_status" >&5
54055405 (exit $ac_status); } &&
5406 { ac_try='test -z "$ac_c_werror_flag"
5407 || test ! -s conftest.err'
5406 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
54085407 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
54095408 (eval $ac_try) 2>&5
54105409 ac_status=$?
55925592 cat conftest.err >&5
55935593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
55945594 (exit $ac_status); } &&
5595 { ac_try='test -z "$ac_c_werror_flag"
5596 || test ! -s conftest.err'
5595 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
55975596 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
55985597 (eval $ac_try) 2>&5
55995598 ac_status=$?
56435643 cat conftest.err >&5
56445644 echo "$as_me:$LINENO: \$? = $ac_status" >&5
56455645 (exit $ac_status); } &&
5646 { ac_try='test -z "$ac_c_werror_flag"
5647 || test ! -s conftest.err'
5646 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
56485647 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
56495648 (eval $ac_try) 2>&5
56505649 ac_status=$?
57105710 cat conftest.err >&5
57115711 echo "$as_me:$LINENO: \$? = $ac_status" >&5
57125712 (exit $ac_status); } &&
5713 { ac_try='test -z "$ac_c_werror_flag"
5714 || test ! -s conftest.err'
5713 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
57155714 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
57165715 (eval $ac_try) 2>&5
57175716 ac_status=$?
57615761 cat conftest.err >&5
57625762 echo "$as_me:$LINENO: \$? = $ac_status" >&5
57635763 (exit $ac_status); } &&
5764 { ac_try='test -z "$ac_c_werror_flag"
5765 || test ! -s conftest.err'
5764 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
57665765 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
57675766 (eval $ac_try) 2>&5
57685767 ac_status=$?
58365836 cat conftest.err >&5
58375837 echo "$as_me:$LINENO: \$? = $ac_status" >&5
58385838 (exit $ac_status); } &&
5839 { ac_try='test -z "$ac_c_werror_flag"
5840 || test ! -s conftest.err'
5839 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
58415840 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
58425841 (eval $ac_try) 2>&5
58435842 ac_status=$?
58635863esac
58645864else
58655865 if test "$cross_compiling" = yes; then
5866 { { echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
5867echo "$as_me: error: in \`$ac_pwd':" >&2;}
5868{ { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
5869See \`config.log' for more details." >&5
5870echo "$as_me: error: cannot run test program while cross compiling
5871See \`config.log' for more details." >&2;}
5872 { (exit 1); exit 1; }; }; }
5866 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
5867echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
5868 { (exit 1); exit 1; }; }
58735869else
58745870 cat >conftest.$ac_ext <<_ACEOF
58755871/* confdefs.h. */
60046004 cat conftest.err >&5
60056005 echo "$as_me:$LINENO: \$? = $ac_status" >&5
60066006 (exit $ac_status); } &&
6007 { ac_try='test -z "$ac_c_werror_flag"
6008 || test ! -s conftest.err'
6007 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
60096008 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
60106009 (eval $ac_try) 2>&5
60116010 ac_status=$?
61126112 cat conftest.err >&5
61136113 echo "$as_me:$LINENO: \$? = $ac_status" >&5
61146114 (exit $ac_status); } &&
6115 { ac_try='test -z "$ac_c_werror_flag"
6116 || test ! -s conftest.err'
6115 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
61176116 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
61186117 (eval $ac_try) 2>&5
61196118 ac_status=$?
61766176 cat conftest.err >&5
61776177 echo "$as_me:$LINENO: \$? = $ac_status" >&5
61786178 (exit $ac_status); } &&
6179 { ac_try='test -z "$ac_c_werror_flag"
6180 || test ! -s conftest.err'
6179 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
61816180 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
61826181 (eval $ac_try) 2>&5
61836182 ac_status=$?
70497049 cat conftest.err >&5
70507050 echo "$as_me:$LINENO: \$? = $ac_status" >&5
70517051 (exit $ac_status); } &&
7052 { ac_try='test -z "$ac_c_werror_flag"
7053 || test ! -s conftest.err'